Page MenuHomePhabricator

Removing portal-url, currentevents-url and helppage from default Sidebar
Closed, ResolvedPublic

Description

portal-url ("Community portal"), currentevents-url ("Current events") and helppage ("Help") lead to empty pages in a fresh MediaWiki install, when most projects won't need these pages ever.

Let's save some work to new MediaWiki sysadmins by removing those links.

This is by on my own experience as MediaWiki hobbyist sysadmin. But also:

I went to http://wikiapiary.com/wiki/Youngest_websites and I took a couple of samples of about 10 sites in languages that i could understand:

  • Most recent
  • 1 year old or more

Among the most recent (up to 2 months old) most still had those 3 links, leading to empty pages. The rest had removed 1, 2 or the 3 of them.

Among the 1 year old sample most had modified the Sidebar removing 2-3 of those links and offering sensible, non-empty pages for all options.

Most people setting up a MediaWiki has seen Wikipedia and is probably considering whether to have or not an own community portal or help. I don't think we need to force new MediaWiki sysadmins to have them or learn to remove them from the sidebar - seeing that what happens most of the times is that those pages are in the meantime left empty (bad user experience).


Version: 1.22.0
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53886

Details

Reference
bz53862

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:57 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz53862.
Qgil created this task.Sep 6 2013, 8:01 PM
Qgil added a comment.Sep 6 2013, 8:03 PM

gerrit change Icb0e1b91e40bd682629f8a6f7291dbf8588b586b

Qgil added a comment.Sep 6 2013, 8:22 PM

And merged. Thank you!

In my opinion, there should be release notes for this.

(In reply to comment #3)

In my opinion, there should be release notes for this.

+1
As nobody uses release notes, probably worth mentioning in [[mw:MediaWiki 1.22]] too. I've updated https://www.mediawiki.org/w/index.php?title=Manual%3APage_customizations&diff=777731&oldid=713031 , the page lists some more links to cleanup. If we do enough of them we can write something nicer in [[mw:MediaWiki 1.22]].

Qgil added a comment.Sep 9 2013, 4:21 PM

CCing mah to decide how this needs to be done. Also when can I update https://www.mediawiki.org/wiki/Manual:Interface/Sidebar

(In reply to comment #5)

Also when can I update
https://www.mediawiki.org/wiki/Manual:Interface/Sidebar

Immediately. Just use {{MW 1.22}} where needed.

hi could we bring back the links but turn them off for default and so people if they want them on can easly turn them on

(In reply to comment #7)

hi could we bring back the links but turn them off for default and so people
if
they want them on can easly turn them on

Just edit [[Mediawiki:Sidebar]]

(In reply to comment #8)

(In reply to comment #7)

hi could we bring back the links but turn them off for default and so people
if
they want them on can easly turn them on

Just edit [[Mediawiki:Sidebar]]

And if that sounds hard, bug 16943. :)

Change 85351 had a related patch set uploaded by Qgil:
Note about removing portal-url, currentevents-url and helppage from default Sidebar

https://gerrit.wikimedia.org/r/85351

Change 85351 merged by jenkins-bot:
Note about removing portal-url, currentevents-url and helppage from default Sidebar

https://gerrit.wikimedia.org/r/85351